Bug 51447 - Shell scripts not run in $cwd
Summary: Shell scripts not run in $cwd
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: nautilus   
(Show other bugs)
Version: roswell
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-10 15:51 UTC by Ed McKenzie
Modified: 2007-04-18 16:35 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-13 16:16:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ed McKenzie 2001-08-10 15:51:42 UTC
Nautilus always runs scripts with cwd set to ~, which makes this 
feature nearly useless for any nontrivial script.

Comment 1 Alexander Larsson 2001-08-10 16:35:40 UTC
The script:
#!/bin/sh
echo args: $*
echo pwd: `pwd`

Run from a nautilus window in /tmp with two files selected outputs:
args: file1 file2
pwd: /tmp

So, I don't see this.


Comment 2 Ed McKenzie 2001-08-12 16:45:53 UTC
Clarification: I'm not talking about Nautilus scripts in ~/.nautilus/scripts,
but my own scripts I have elsewhere.  These are always run in $HOME regardless
of where the script is located.

Comment 3 Owen Taylor 2001-08-13 16:16:43 UTC
How would you distinguish this from double clicking on a binary
in /usr/bin? Would you want to run them with /usr/bin as
the cwd?

Comment 4 Alexander Larsson 2001-08-13 17:19:29 UTC
I feel that executing binaries with the homedir as cwd is probably the right
thing to do. Therefore i am marking this as WONTFIX.

If you disagree, please bring this discussion up on the nautilus mailing list.



Note You need to log in before you can comment on or make changes to this bug.